Bug 189852 - Network devices interrupts getting lost
Network devices interrupts getting lost
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-25 03:06 EDT by jaevans
Modified: 2015-01-04 17:26 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-24 18:02:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Output of lspci -v (5.52 KB, text/plain)
2006-04-25 03:06 EDT, jaevans
no flags Details
Output of lsmod (running with irqpoll) (1.81 KB, text/plain)
2006-04-25 03:09 EDT, jaevans
no flags Details

  None (edit)
Description jaevans 2006-04-25 03:06:33 EDT
Description of problem:
I have a Toshiba Satellite A105-1013 laptop with a Realtek 8193 (8193too.ko) and
a built-in Atheros AR5212 wifi (madwifi) and am having trouble with both of
them. Randomly the network devices stop receiving data from the network. I can
see the packets sent from the laptop, but it never seems to recieve any new
packets. The interrupt count in /proc/interrupts never increases for the IRQ
assigned to the network card. Nothing short of a reboot allows the card to work
again. Adding irqpoll to the kernel command line prevents the lockups, but makes
the entire system painfully slow and causes a large number of other problems.
Other kernel options such as noapic, or apic=routeirq cause the system to panic
as soon as the kernel starts to boot.

Version-Release number of selected component (if applicable):
All FC5 released i686 uiniprocessor kernels

How reproducible:
Use the network (easy to force by transferring a large video file)

Steps to Reproduce:
1. Bring up network interface (any)
2. Transfer data
3.
  
Actual results:
Network activity stops, counts in /proc/interrupt stop changing

Expected results:
Network activity continues

Additional info:
I've tried all the released FC5 kernels with the same results. The lockup can
happen after just a few seconds, or after a few minutes. I can't go 15 minutes
without reboot without irqpoll.
Booting into single user and bringing up the network with no other drivers
(USB/sound/cpuspeed/acpi) still has the same problem.
Comment 1 jaevans 2006-04-25 03:06:34 EDT
Created attachment 128181 [details]
Output of lspci -v
Comment 2 jaevans 2006-04-25 03:09:06 EDT
Created attachment 128182 [details]
Output of lsmod (running with irqpoll)
Comment 3 Dave Jones 2006-10-16 20:32:18 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Dave Jones 2006-11-24 18:02:33 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.